Bug 242175 - Firefox 2.0 fails to install Flash 9 plugin
Firefox 2.0 fails to install Flash 9 plugin
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
7
All Linux
low Severity high
: ---
: ---
Assigned To: Gecko Maintainer
http://www.youtube.com/watch?v=-_ayao...
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-01 19:29 EDT by Valent Turkovic
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-03 08:12:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Valent Turkovic 2007-06-01 19:29:44 EDT
Description of problem:
Firefox 2.0 fails to install Flash 9 plugin

Version-Release number of selected component (if applicable):
Firefox 2.0.0.4

How reproducible:
75% of the time

Steps to Reproduce:
1. Go to flash enabled site
2. Click install missing plugins within firefox 2.0, accept licence
3. Look at failed install message
  
Actual results:
Flash 9 fails to install

Expected results:
Flash 9 to be installed and play videos and other flash content

Additional info:
Please look at the video, it shows that this error is duplicable:
 http://www.youtube.com/watch?v=-_ayaoEUHZ4
Comment 1 Christopher Aillon 2007-06-02 03:47:51 EDT
So it looks like it works about half the time for you.  It works for me every
time, so not quite sure what the issue is on your machine...  do you mind
rebuilding from the srpm, but with --enable-debug instead of --disable-debug (in
firefox-mozconfig) and seeing if there's any output  when you run and do this
(start firefox via a terminal)?
Comment 2 Andreas Weggel 2007-06-03 10:08:07 EDT
I have the same problem and it never works for me.

However if I download the firefox version from mozilla.org and try to install
the flash plugin it works 100%.

But I can't and won't provide any further output because I removed Fedora 7 from
my HD (too many bugs which show how poorly tested the hole distribution is, just
look at the bug with gnome chess crashing the hole X-Server)
Comment 3 Matěj Cepl 2007-06-04 05:06:46 EDT
We are sorry for your bad experience with Fedora. Hopefully, things will settle
down a little bit, and then you may try to reproduce this with updated versions
of FC7. In meantime, closing as INSUFFICIENT_DATA. Feel free to reopen with
additional information when it becomes available.
Comment 4 Christopher Aillon 2007-06-04 05:09:03 EDT
Let's give the reporter a chance to respond.
Comment 5 Matěj Cepl 2007-06-04 05:17:28 EDT
Sorry, Valent, I have missed another unrelated comment from Andreas.
Comment 6 Valent Turkovic 2007-06-04 06:22:37 EDT
I can ask other people on mailing list to try and replicate this bug. If it
happens only to me then by all means close it.

If it is not a bug that happens to me then you should investigate it further -
right?

The issue is really easy to reproduce;

shutdown firefox

mv .mozilla .mozilla.bkp
mv .macromedia .macromedia.bkp

<repeat 5 times>

and then launch firefox and go to http://www.youtube.com - and try to install
flash plugin.

Close Firefox

rm .mozilla
rm .macromedia

</repeat 5 times>

and then restore your firefox settings from backup:

rm .mozilla
rm .macromedia

mv .mozilla.bkp .mozilla
mv .macromedia.bkp .macromedia

then report back here how many installs of flash succeeded and how much of them
failed.

this is an easy task, and then we will see if this is a issue happened by some
off chance only to me or this is a bug.

I don't see how you don't see the problem here. I posted a bug also for fedora 7
test 4, it happened there also... and how it happened again... so you draw your
own conclusions...
Comment 7 Christopher Aillon 2007-06-04 12:50:43 EDT
(In reply to comment #6)
> I can ask other people on mailing list to try and replicate this bug. If it
> happens only to me then by all means close it.
> 
> If it is not a bug that happens to me then you should investigate it further -
> right?

I'd much rather you attempt to get the information I need from comment 1.  I
believe you already, I don't need others to confirm that it happens to you.

However it does NOT happen to me so without the information I need which I asked
for in comment 1, I can't properly determine the nature of the problem or
provide a fix.
Comment 8 Valent Turkovic 2007-06-04 12:54:52 EDT
I haven't rebuild SRPM packages so please provide some link to a howto or a wiki
page on how to do it - then I can provide you with the info you requested.

Thank you.
Comment 9 Valent Turkovic 2007-06-04 13:33:14 EDT
here is what I did:
yum install yum-utils
yumdownloader --source firefox

and I guess the next step would be
rpmbuild --rebuild  --enable-debug  firefox-2.0.0.4-1.fc7.src.rpm

but I don't have rpmbuild installed and
yum search rpmbuild 
yum provides rpmbuild
give no usable output...

what should I do?
Comment 10 Christopher Aillon 2007-06-04 13:36:49 EDT
If you know the name of a file (which since you know the binary) you can do:

yum install /usr/bin/rpmbuild

You'd want to modify /usr/src/redhat/SOURCES/firefox-mozconfig to change the
--disable-debug to --enable-debug first though.  Passing it on the command line
won't work.

Then rpmbuild -ba /usr/src/redhat/SPECS/firefox.spec
Comment 11 Valent Turkovic 2007-06-04 13:56:30 EDT
I'm not a programmer or a developer so please bare with me...

56 dependencies later...

I got error when trying 'rpmbuild -ba /usr/src/redhat/SPECS/firefox.spec' that I
don't have gcc

'yum install gcc' fixed that

not I get this error:

checking for c++... no
checking for g++... no

which packages do I need in order to have "c++" and "g++" installed?
Comment 12 Christopher Aillon 2007-06-04 15:06:17 EDT
gcc-c++
Comment 13 Valent Turkovic 2007-06-08 04:27:45 EDT
ok, now I got Firefox with debug installed... now firefox crashes...
Where can I find that log and send it to you?

# grep -i firefox /var/log/ -R

shows no interesting messages... where can I find firefox log file?
Comment 14 Matěj Cepl 2007-06-08 08:02:13 EDT
Try you home directory and there you will find a file named something like
core.<number> (if not, then run on command line 
ulimit -c unlimited 
and repeat crash).

Then run debugger

gdb /usr/lib/firefox-2*/firefox-bin core.<number>

and then follow http://kb.mozillazine.org/Getting_a_stacktrace_with_gdb 

in gdb prompt write command

backtrace

copy the result to this bug as a comment.
Comment 15 Matěj Cepl 2007-08-03 09:52:00 EDT
Valent, did you manage to create the backtrace for this bug? Please, paste it here.

Just to make sure, that our bugzilla is not filled with stalled old bugs, we had
to decide that bugs where reply doesn't come in one month will be closed as
INSUFFICIENT_DATA. Thank you.
Comment 16 Valent Turkovic 2007-08-06 03:19:23 EDT
I had a really busy few weeks at work so I couldn't manage to contribute so much
with bug tracking. Now I'm off to Crete for a break... so if somebody has the
time please jump in and help with this bug.
Comment 17 Valent Turkovic 2007-08-07 08:58:07 EDT
When I come back from my break (three week from now) I'll try do give this bug
some of my free time and feedback.

But it seams to me that because of "windows like" characteristics of this bug
that it is not on anybody's radar - not fedora power users or fedora devels.

Ok, I understand your points of view and I respect them but please also think
about this.

If a browser shows a message "plugin missing" and offers some bar to click on.
Any user clicking on it would expect to do what it says - to install the missing
plugin. If it doesn't do what it says or if tries and fails then it is a bug. Do
you agree ?

How it does what it needs to do that is completely and entirely different issue.

I could agree that this is "windows" way of installing flash plugin, but I still
don't see any major issues with it except that flash plugin doesn't get updated
during system update (yum update).

If fedora devels would recode Firefox (which they would never do against
upsteram) so that when a user clicks on "install missing plugin" firefox tells
yum to add macromedia repo and install rpm containing flash - you have my
blessing to do so :) Off course first system admin needs to give it's blessing
via root password.

I (and most users) don't care how it gets done as long as it "JustWorks" -
anything else is a bug and should be fixed.
Comment 18 Matěj Cepl 2007-08-14 10:06:53 EDT
Cool, answer us when you come back and have a happy vacation! However, unless
you answer in a month, I will have to close this bug as INSUFFICIENT_DATA. And
please until you really answer NEEDINFO, keep it as such.
Comment 19 Matěj Cepl 2007-08-14 10:07:55 EDT
sorry, that NEEDINFO thins is ours not yours problem.
Comment 20 Valent Turkovic 2007-09-02 13:07:18 EDT
I tested fedora rawhide with latest patches - with latest Firefox 2.0.0.6 flash
installs ok every time so it is fixed.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.